
From: Nick Piggin <piggin@cyberone.com.au>

sys_shmat() need to be declared asmlinkage.  This causes breakage when we
actually get the proper prototypes into caller's scope.



---

 ipc/shm.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN ipc/shm.c~add-syscalls_h-shmat-fix ipc/shm.c
--- 25/ipc/shm.c~add-syscalls_h-shmat-fix	2004-02-18 01:22:41.000000000 -0800
+++ 25-akpm/ipc/shm.c	2004-02-18 01:22:41.000000000 -0800
@@ -635,7 +635,7 @@ out:
  * "raddr" thing points to kernel space, and there has to be a wrapper around
  * this.
  */
-long sys_shmat(int shmid, char __user *shmaddr, int shmflg, ulong *raddr)
+asmlinkage long sys_shmat(int shmid, char __user *shmaddr, int shmflg, ulong *raddr)
 {
 	struct shmid_kernel *shp;
 	unsigned long addr;

_
